net.sf.saxon.s9api

## Class XdmFunctionItem

- java.lang.Object
- - net.sf.saxon.s9api.XdmValue
  - - net.sf.saxon.s9api.XdmItem
    - - net.sf.saxon.s9api.XdmFunctionItem

- All Implemented Interfaces:
    Iterable<XdmItem>

      public class XdmFunctionItem
      extends XdmItem

  The class XdmFunctionItem represents a function item

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XdmFunctionItem(FunctionItem fi)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XdmValue` | `call(XdmValue[] arguments, Processor processor)` Call the function
    `int` | `getArity()` Get the arity of the function
    `QName` | `getName()` Get the name of the function
    `boolean` | `isAtomicValue()` Determine whether the item is an atomic value

    - ### Methods inherited from class net.sf.saxon.s9api.XdmItem

      `getStringValue, newAtomicValue, size, wrapItem`

    - ### Methods inherited from class net.sf.saxon.s9api.XdmValue

      `append, getUnderlyingValue, itemAt, iterator, setValue, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XdmFunctionItem

          protected XdmFunctionItem(FunctionItem fi)

  - ### Method Detail

    - #### getName

          public QName getName()

      Get the name of the function
      Returns:
        the function name, as a QName, or null for an anonymous inline function item

    - #### getArity

          public int getArity()

      Get the arity of the function
      Returns:
        the arity of the function, that is, the number of arguments in the function's signature

    - #### isAtomicValue

          public boolean isAtomicValue()

      Determine whether the item is an atomic value
      Overrides:
        `isAtomicValue` in class `XdmItem`
      Returns:
        false, the item is not an atomic value, it is a function item

    - #### call

          public XdmValue call(XdmValue[] arguments,
                      Processor processor)
                        throws SaxonApiException

      Call the function
      Parameters:
        `arguments` - the values to be supplied as arguments to the function
        `processor` - the s9api Processor
      Returns:
        the result of calling the function
      Throws:
        `SaxonApiException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.